Referência REST
89 operações no snapshot da API nativa v2.
Capturado do sandbox em 18/10/2026. Release do assinador: 2026-10-17-sandbox-r2. O conteúdo abaixo é a referência técnica do servidor, podendo conter descrições originais em inglês.
Baixar OpenAPI v2 · Baixar OpenAPI v1 legado
As chamadas são feitas no backend do consumidor. Este portal não possui “Execute”, não solicita tokens e não envia dados para a API.
GET /envelope/attachment
Find attachments
Find all attachments for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [
{
"in": "query",
"name": "envelopeId",
"schema": {
"type": "string"
},
"required": true
},
{
"in": "query",
"name": "token",
"schema": {
"type": "string"
}
}
],
"requestBody": null
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"link"
]
},
"label": {
"type": "string"
},
"data": {
"type": "string"
}
},
"required": [
"id",
"type",
"label",
"data"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"404": {
"description": "Not found",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/attachment/create
Create attachment
Create a new attachment for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "object",
"properties": {
"label": {
"type": "string",
"minLength": 1
},
"data": {
"type": "string",
"format": "uri"
}
},
"required": [
"label",
"data"
]
}
},
"required": [
"envelopeId",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/attachment/update
Update attachment
Update an existing attachment
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"data": {
"type": "object",
"properties": {
"label": {
"type": "string",
"minLength": 1
},
"data": {
"type": "string",
"format": "uri"
}
},
"required": [
"label",
"data"
]
}
},
"required": [
"id",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
},
"required": [
"success"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/attachment/delete
Delete attachment
Delete an attachment from an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
},
"required": [
"success"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/item/create-many
Create envelope items
Create multiple envelope items for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"multipart/form-data": {
"schema": {
"type": "object",
"properties": {
"payload": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
}
},
"required": [
"envelopeId"
]
},
"files": {
"type": "array",
"items": {}
}
},
"required": [
"payload"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"envelopeId": {
"type": "string"
},
"order": {
"type": "number"
},
"documentDataId": {
"type": "string"
}
},
"required": [
"id",
"title",
"envelopeId",
"order",
"documentDataId"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/item/update-many
Update envelope items
Update multiple envelope items for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeItemId": {
"type": "string"
},
"order": {
"type": "integer",
"minimum": 1
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 255
}
},
"required": [
"envelopeItemId"
]
},
"minItems": 1
}
},
"required": [
"envelopeId",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"order": {
"type": "number"
},
"title": {
"type": "string"
},
"envelopeId": {
"type": "string"
}
},
"required": [
"id",
"order",
"title",
"envelopeId"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/item/delete
Delete envelope item
Delete an envelope item from an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"envelopeItemId": {
"type": "string"
}
},
"required": [
"envelopeId",
"envelopeItemId"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
},
"required": [
"success"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}GET /envelope/item/{envelopeItemId}/download
Download an envelope item
Download an envelope item by its ID
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [
{
"in": "path",
"name": "envelopeItemId",
"description": "The ID of the envelope item to download.",
"schema": {
"type": "string"
},
"required": true
},
{
"in": "query",
"name": "version",
"description": "The version of the envelope item to download. \"signed\" returns the completed document with all signatures and the audit trail, \"original\" returns the original uploaded document, \"pending\" returns the original document with currently-inserted fields burned in (only valid while the envelope is in PENDING status; not a final executed document).",
"schema": {
"type": "string",
"enum": [
"original",
"signed",
"pending"
],
"default": "signed"
}
}
],
"requestBody": null
}Respostas
{
"200": {
"description": "Successful response",
"headers": {
"Content-Type": {
"schema": {
"type": "string",
"enum": [
"application/pdf"
]
},
"required": true
}
},
"content": {
"application/json": {
"schema": {}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"404": {
"description": "Not found",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}GET /envelope/recipient/{recipientId}
Get envelope recipient
Returns an envelope recipient given an ID
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [
{
"in": "path",
"name": "recipientId",
"schema": {
"type": "number"
},
"required": true
}
],
"requestBody": null
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"readStatus": {
"type": "string",
"enum": [
"NOT_OPENED",
"OPENED"
]
},
"signingStatus": {
"type": "string",
"enum": [
"NOT_SIGNED",
"SIGNED",
"REJECTED"
]
},
"sendStatus": {
"type": "string",
"enum": [
"NOT_SENT",
"SENT"
]
},
"id": {
"type": "number"
},
"email": {
"type": "string"
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"documentDeletedAt": {
"type": "string",
"nullable": true
},
"expired": {
"type": "string",
"nullable": true
},
"expiresAt": {
"type": "string",
"nullable": true
},
"expirationNotifiedAt": {
"type": "string",
"nullable": true
},
"signedAt": {
"type": "string",
"nullable": true
},
"authOptions": {
"type": "object",
"nullable": true,
"properties": {
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
}
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
}
}
},
"required": [
"accessAuth",
"actionAuth"
]
},
"signingOrder": {
"type": "number",
"nullable": true
},
"rejectionReason": {
"type": "string",
"nullable": true
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"envelopeItemId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"SIGNATURE",
"FREE_SIGNATURE",
"INITIALS",
"NAME",
"EMAIL",
"DATE",
"TEXT",
"NUMBER",
"RADIO",
"CHECKBOX",
"DROPDOWN"
]
},
"id": {
"type": "number"
},
"secondaryId": {
"type": "string"
},
"recipientId": {
"type": "number"
},
"page": {
"type": "number"
},
"positionX": {},
"positionY": {},
"width": {},
"height": {},
"customText": {
"type": "string"
},
"inserted": {
"type": "boolean"
},
"fieldMeta": {
"nullable": true,
"oneOf": [
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
]
}
]
},
"documentId": {
"type": "number",
"nullable": true
},
"templateId": {
"type": "number",
"nullable": true
}
},
"required": [
"envelopeId",
"envelopeItemId",
"type",
"id",
"secondaryId",
"recipientId",
"page",
"positionX",
"positionY",
"width",
"height",
"customText",
"inserted",
"fieldMeta"
]
}
}
},
"required": [
"envelopeId",
"role",
"readStatus",
"signingStatus",
"sendStatus",
"id",
"email",
"name",
"token",
"documentDeletedAt",
"expired",
"expiresAt",
"expirationNotifiedAt",
"signedAt",
"authOptions",
"signingOrder",
"rejectionReason",
"fields"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"404": {
"description": "Not found",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/recipient/create-many
Create envelope recipients
Create multiple recipients for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"anyOf": [
{
"type": "string",
"enum": [
""
]
},
{
"type": "string",
"pattern": "^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~\\u{0080}-\\u{FFFF}-]+@[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?(?:\\.[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?)*$",
"maxLength": 254
}
]
},
"name": {
"type": "string",
"maxLength": 255
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"signingOrder": {
"type": "integer",
"minimum": 0
},
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
},
"default": []
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
},
"default": []
}
},
"required": [
"email",
"name",
"role"
]
}
}
},
"required": [
"envelopeId",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"readStatus": {
"type": "string",
"enum": [
"NOT_OPENED",
"OPENED"
]
},
"signingStatus": {
"type": "string",
"enum": [
"NOT_SIGNED",
"SIGNED",
"REJECTED"
]
},
"sendStatus": {
"type": "string",
"enum": [
"NOT_SENT",
"SENT"
]
},
"id": {
"type": "number"
},
"email": {
"type": "string"
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"documentDeletedAt": {
"type": "string",
"nullable": true
},
"expired": {
"type": "string",
"nullable": true
},
"expiresAt": {
"type": "string",
"nullable": true
},
"expirationNotifiedAt": {
"type": "string",
"nullable": true
},
"signedAt": {
"type": "string",
"nullable": true
},
"authOptions": {
"type": "object",
"nullable": true,
"properties": {
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
}
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
}
}
},
"required": [
"accessAuth",
"actionAuth"
]
},
"signingOrder": {
"type": "number",
"nullable": true
},
"rejectionReason": {
"type": "string",
"nullable": true
}
},
"required": [
"envelopeId",
"role",
"readStatus",
"signingStatus",
"sendStatus",
"id",
"email",
"name",
"token",
"documentDeletedAt",
"expired",
"expiresAt",
"expirationNotifiedAt",
"signedAt",
"authOptions",
"signingOrder",
"rejectionReason"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/recipient/update-many
Update envelope recipients
Update multiple recipients for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"email": {
"anyOf": [
{
"type": "string",
"enum": [
""
]
},
{
"type": "string",
"pattern": "^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~\\u{0080}-\\u{FFFF}-]+@[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?(?:\\.[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?)*$",
"maxLength": 254
}
]
},
"name": {
"type": "string",
"maxLength": 255
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"signingOrder": {
"type": "integer",
"minimum": 0
},
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
},
"default": []
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
},
"default": []
}
},
"required": [
"id"
]
}
}
},
"required": [
"envelopeId",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"readStatus": {
"type": "string",
"enum": [
"NOT_OPENED",
"OPENED"
]
},
"signingStatus": {
"type": "string",
"enum": [
"NOT_SIGNED",
"SIGNED",
"REJECTED"
]
},
"sendStatus": {
"type": "string",
"enum": [
"NOT_SENT",
"SENT"
]
},
"id": {
"type": "number"
},
"email": {
"type": "string"
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"documentDeletedAt": {
"type": "string",
"nullable": true
},
"expired": {
"type": "string",
"nullable": true
},
"expiresAt": {
"type": "string",
"nullable": true
},
"expirationNotifiedAt": {
"type": "string",
"nullable": true
},
"signedAt": {
"type": "string",
"nullable": true
},
"authOptions": {
"type": "object",
"nullable": true,
"properties": {
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
}
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
}
}
},
"required": [
"accessAuth",
"actionAuth"
]
},
"signingOrder": {
"type": "number",
"nullable": true
},
"rejectionReason": {
"type": "string",
"nullable": true
},
"documentId": {
"type": "number",
"nullable": true
},
"templateId": {
"type": "number",
"nullable": true
}
},
"required": [
"envelopeId",
"role",
"readStatus",
"signingStatus",
"sendStatus",
"id",
"email",
"name",
"token",
"documentDeletedAt",
"expired",
"expiresAt",
"expirationNotifiedAt",
"signedAt",
"authOptions",
"signingOrder",
"rejectionReason"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/recipient/delete
Delete envelope recipient
Delete an envelope recipient
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"recipientId": {
"type": "number"
}
},
"required": [
"recipientId"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
},
"required": [
"success"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/recipient/{recipientId}/reject
Reject envelope recipient on behalf of
Records a rejection on behalf of a recipient. Use this when a recipient has declined to sign outside of the platform. The rejection is flagged as external in the document audit log. By default the action is attributed to the API user; supply `actAsEmail` to attribute it to a specific team member.
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [
{
"in": "path",
"name": "recipientId",
"description": "The ID of the recipient to reject the document on behalf of.",
"schema": {
"type": "number"
},
"required": true
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"reason": {
"type": "string",
"minLength": 1
},
"actAsEmail": {
"type": "string",
"pattern": "^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~\\u{0080}-\\u{FFFF}-]+@[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?(?:\\.[a-zA-Z0-9\\u{0080}-\\u{FFFF}](?:[a-zA-Z0-9\\u{0080}-\\u{FFFF}-]{0,61}[a-zA-Z0-9\\u{0080}-\\u{FFFF}])?)*$"
}
},
"required": [
"envelopeId",
"reason"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"CC",
"SIGNER",
"VIEWER",
"APPROVER",
"ASSISTANT"
]
},
"readStatus": {
"type": "string",
"enum": [
"NOT_OPENED",
"OPENED"
]
},
"signingStatus": {
"type": "string",
"enum": [
"NOT_SIGNED",
"SIGNED",
"REJECTED"
]
},
"sendStatus": {
"type": "string",
"enum": [
"NOT_SENT",
"SENT"
]
},
"id": {
"type": "number"
},
"email": {
"type": "string"
},
"name": {
"type": "string"
},
"token": {
"type": "string"
},
"documentDeletedAt": {
"type": "string",
"nullable": true
},
"expired": {
"type": "string",
"nullable": true
},
"expiresAt": {
"type": "string",
"nullable": true
},
"expirationNotifiedAt": {
"type": "string",
"nullable": true
},
"signedAt": {
"type": "string",
"nullable": true
},
"authOptions": {
"type": "object",
"nullable": true,
"properties": {
"accessAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"TWO_FACTOR_AUTH"
]
}
},
"actionAuth": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCOUNT",
"PASSKEY",
"TWO_FACTOR_AUTH",
"PASSWORD",
"EXPLICIT_NONE"
]
}
}
},
"required": [
"accessAuth",
"actionAuth"
]
},
"signingOrder": {
"type": "number",
"nullable": true
},
"rejectionReason": {
"type": "string",
"nullable": true
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"envelopeItemId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"SIGNATURE",
"FREE_SIGNATURE",
"INITIALS",
"NAME",
"EMAIL",
"DATE",
"TEXT",
"NUMBER",
"RADIO",
"CHECKBOX",
"DROPDOWN"
]
},
"id": {
"type": "number"
},
"secondaryId": {
"type": "string"
},
"recipientId": {
"type": "number"
},
"page": {
"type": "number"
},
"positionX": {},
"positionY": {},
"width": {},
"height": {},
"customText": {
"type": "string"
},
"inserted": {
"type": "boolean"
},
"fieldMeta": {
"nullable": true,
"oneOf": [
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
]
}
]
},
"documentId": {
"type": "number",
"nullable": true
},
"templateId": {
"type": "number",
"nullable": true
}
},
"required": [
"envelopeId",
"envelopeItemId",
"type",
"id",
"secondaryId",
"recipientId",
"page",
"positionX",
"positionY",
"width",
"height",
"customText",
"inserted",
"fieldMeta"
]
}
}
},
"required": [
"envelopeId",
"role",
"readStatus",
"signingStatus",
"sendStatus",
"id",
"email",
"name",
"token",
"documentDeletedAt",
"expired",
"expiresAt",
"expirationNotifiedAt",
"signedAt",
"authOptions",
"signingOrder",
"rejectionReason",
"fields"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}GET /envelope/field/{fieldId}
Get envelope field
Returns an envelope field given an ID
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [
{
"in": "path",
"name": "fieldId",
"schema": {
"type": "number"
},
"required": true
}
],
"requestBody": null
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"envelopeItemId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"SIGNATURE",
"FREE_SIGNATURE",
"INITIALS",
"NAME",
"EMAIL",
"DATE",
"TEXT",
"NUMBER",
"RADIO",
"CHECKBOX",
"DROPDOWN"
]
},
"id": {
"type": "number"
},
"secondaryId": {
"type": "string"
},
"recipientId": {
"type": "number"
},
"page": {
"type": "number"
},
"positionX": {},
"positionY": {},
"width": {},
"height": {},
"customText": {
"type": "string"
},
"inserted": {
"type": "boolean"
},
"fieldMeta": {
"nullable": true,
"oneOf": [
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
]
}
]
}
},
"required": [
"envelopeId",
"envelopeItemId",
"type",
"id",
"secondaryId",
"recipientId",
"page",
"positionX",
"positionY",
"width",
"height",
"customText",
"inserted",
"fieldMeta"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"404": {
"description": "Not found",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/field/create-many
Create envelope fields
Create multiple fields for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"anyOf": [
{
"allOf": [
{
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"SIGNATURE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"type"
],
"default": {
"type": "signature",
"fontSize": 18,
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"FREE_SIGNATURE"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"INITIALS"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "initials",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NAME"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "name",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"EMAIL"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "email",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DATE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "date",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"TEXT"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "text",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"text": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NUMBER"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "number",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"RADIO"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type"
],
"default": {
"type": "radio",
"fontSize": 12,
"values": [
{
"id": 1,
"checked": false,
"value": ""
}
],
"required": false,
"readOnly": false,
"direction": "vertical"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"CHECKBOX"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type"
],
"default": {
"type": "checkbox",
"fontSize": 12,
"values": [
{
"id": 1,
"checked": false,
"value": ""
}
],
"validationRule": "",
"validationLength": 0,
"required": false,
"readOnly": false,
"direction": "vertical"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DROPDOWN"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
],
"default": {
"type": "dropdown",
"fontSize": 12,
"values": [
{
"value": "Option 1"
}
],
"defaultValue": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
}
]
},
{
"type": "object",
"properties": {
"recipientId": {
"type": "number"
},
"envelopeItemId": {
"type": "string"
}
},
"required": [
"recipientId"
]
},
{
"type": "object",
"properties": {
"page": {
"type": "number",
"minimum": 1
},
"positionX": {
"type": "number",
"minimum": 0,
"maximum": 100
},
"positionY": {
"type": "number",
"minimum": 0,
"maximum": 100
},
"width": {
"type": "number",
"minimum": 0,
"maximum": 100
},
"height": {
"type": "number",
"minimum": 0,
"maximum": 100
}
},
"required": [
"page",
"positionX",
"positionY",
"width",
"height"
]
}
]
},
{
"allOf": [
{
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"SIGNATURE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"type"
],
"default": {
"type": "signature",
"fontSize": 18,
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"FREE_SIGNATURE"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"INITIALS"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "initials",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NAME"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "name",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"EMAIL"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "email",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DATE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "date",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"TEXT"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "text",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"text": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NUMBER"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "number",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"RADIO"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type"
],
"default": {
"type": "radio",
"fontSize": 12,
"values": [
{
"id": 1,
"checked": false,
"value": ""
}
],
"required": false,
"readOnly": false,
"direction": "vertical"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"CHECKBOX"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type"
],
"default": {
"type": "checkbox",
"fontSize": 12,
"values": [
{
"id": 1,
"checked": false,
"value": ""
}
],
"validationRule": "",
"validationLength": 0,
"required": false,
"readOnly": false,
"direction": "vertical"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DROPDOWN"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
],
"default": {
"type": "dropdown",
"fontSize": 12,
"values": [
{
"value": "Option 1"
}
],
"defaultValue": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
}
]
},
{
"type": "object",
"properties": {
"recipientId": {
"type": "number"
},
"envelopeItemId": {
"type": "string"
}
},
"required": [
"recipientId"
]
},
{
"type": "object",
"properties": {
"placeholder": {
"type": "string"
},
"width": {
"type": "number",
"minimum": 0,
"maximum": 100
},
"height": {
"type": "number",
"minimum": 0,
"maximum": 100
},
"matchAll": {
"type": "boolean"
}
},
"required": [
"placeholder"
]
}
]
}
]
}
}
},
"required": [
"envelopeId",
"data"
]
}
}
}
}
}Respostas
{
"200": {
"description": "Successful response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"envelopeItemId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"SIGNATURE",
"FREE_SIGNATURE",
"INITIALS",
"NAME",
"EMAIL",
"DATE",
"TEXT",
"NUMBER",
"RADIO",
"CHECKBOX",
"DROPDOWN"
]
},
"id": {
"type": "number"
},
"secondaryId": {
"type": "string"
},
"recipientId": {
"type": "number"
},
"page": {
"type": "number"
},
"positionX": {},
"positionY": {},
"width": {},
"height": {},
"customText": {
"type": "string"
},
"inserted": {
"type": "boolean"
},
"fieldMeta": {
"nullable": true,
"oneOf": [
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"overflow",
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"checkbox"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"validationRule": {
"type": "string"
},
"validationLength": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type",
"direction"
]
},
{
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"dropdown"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
}
},
"required": [
"value"
]
}
},
"defaultValue": {
"type": "string"
}
},
"required": [
"type"
]
}
]
},
"documentId": {
"type": "number",
"nullable": true
},
"templateId": {
"type": "number",
"nullable": true
}
},
"required": [
"envelopeId",
"envelopeItemId",
"type",
"id",
"secondaryId",
"recipientId",
"page",
"positionX",
"positionY",
"width",
"height",
"customText",
"inserted",
"fieldMeta"
]
}
}
},
"required": [
"data"
]
}
}
}
},
"400": {
"description": "Invalid input data",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"401": {
"description": "Authorization not provided",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"403": {
"description": "Insufficient access",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
},
"500": {
"description": "Internal server error",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"code": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
]
}
}
},
"required": [
"message",
"code"
]
}
}
}
}
}POST /envelope/field/update-many
Update envelope fields
Update multiple envelope fields for an envelope
Base: https://sandbox.assino.digital/api/v2
Parâmetros e corpo
{
"parameters": [],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"envelopeId": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"allOf": [
{
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"SIGNATURE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"signature"
]
}
},
"required": [
"type"
],
"default": {
"type": "signature",
"fontSize": 18,
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"FREE_SIGNATURE"
]
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"INITIALS"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"initials"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "initials",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NAME"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"name"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "name",
"fontSize": 12,
"textAlign": "left"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"EMAIL"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"email"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "email",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"DATE"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
],
"default": "auto"
},
"type": {
"type": "string",
"enum": [
"date"
]
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
}
},
"required": [
"type"
],
"default": {
"type": "date",
"fontSize": 12,
"textAlign": "left",
"overflow": "auto"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"TEXT"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"text"
]
},
"text": {
"type": "string"
},
"characterLimit": {
"type": "number",
"minimum": 0
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "text",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"text": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"NUMBER"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"number"
]
},
"numberFormat": {
"type": "string",
"nullable": true
},
"value": {
"type": "string"
},
"minValue": {
"type": "number",
"nullable": true
},
"maxValue": {
"type": "number",
"nullable": true
},
"textAlign": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"lineHeight": {
"type": "number",
"nullable": true,
"minimum": 1,
"maximum": 10
},
"letterSpacing": {
"type": "number",
"nullable": true,
"minimum": 0,
"maximum": 100
},
"verticalAlign": {
"type": "string",
"nullable": true,
"enum": [
"top",
"middle",
"bottom",
null
]
}
},
"required": [
"type"
],
"default": {
"type": "number",
"fontSize": 12,
"textAlign": "left",
"label": "",
"placeholder": "",
"required": false,
"readOnly": false
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"RADIO"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
"required": {
"type": "boolean"
},
"readOnly": {
"type": "boolean"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 96,
"default": 12
},
"overflow": {
"type": "string",
"enum": [
"auto",
"horizontal",
"vertical",
"crop"
]
},
"type": {
"type": "string",
"enum": [
"radio"
]
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number"
},
"checked": {
"type": "boolean"
},
"value": {
"type": "string"
}
},
"required": [
"id",
"checked",
"value"
]
}
},
"direction": {
"type": "string",
"enum": [
"vertical",
"horizontal"
],
"default": "vertical"
}
},
"required": [
"type"
],
"default": {
"type": "radio",
"fontSize": 12,
"values": [
{
"id": 1,
"checked": false,
"value": ""
}
],
"required": false,
"readOnly": false,
"direction": "vertical"
}
}
},
"required": [
"type"
]
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"CHECKBOX"
]
},
"fieldMeta": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"placeholder": {
"type": "string"
},
[...]
